aboutsummaryrefslogtreecommitdiff
path: root/net/socat/files
diff options
context:
space:
mode:
authorJeffery To <jeffery.to@gmail.com>2019-02-03 19:59:43 +0800
committerJeffery To <jeffery.to@gmail.com>2019-02-03 19:59:43 +0800
commit549bf0ec4448f8e52ba4563be61596ff1606eb4e (patch)
treefeeec53e198004bf2b7dd2d3a9993c31be89b8fe /net/socat/files
parentfdc5c5be604cbb8b9d03da4e47a137acea46deea (diff)
socat: Update init script
This replaces the use of uci_validate_section() with uci_load_validate(), which removes the need to declare local variables for every config option. This also adds a service_triggers() function and removes some unnecessary curly brackets. Signed-off-by: Jeffery To <jeffery.to@gmail.com>
Diffstat (limited to 'net/socat/files')
-rw-r--r--net/socat/files/socat.init20
1 files changed, 11 insertions, 9 deletions
diff --git a/net/socat/files/socat.init b/net/socat/files/socat.init
index 379dc070f..b41293573 100644
--- a/net/socat/files/socat.init
+++ b/net/socat/files/socat.init
@@ -10,30 +10,32 @@ NAME=socat
validate_section_socat()
{
- uci_validate_section socat socat "${1}" \
+ uci_load_validate socat socat "$1" "$2" \
'enable:bool:1' \
'SocatOptions:string'
- return $?
}
socat_instance()
{
- local SocatOptions enable
-
- validate_section_socat "${1}" || {
+ [ "$2" = 0 ] || {
echo "validation failed"
return 1
}
- [ "${enable}" = "0" ] && return 1
+ [ "$enable" = "0" ] && return 1
procd_open_instance
procd_set_param command "$PROG"
- procd_append_param command ${SocatOptions}
+ procd_append_param command $SocatOptions
procd_close_instance
}
start_service () {
- config_load "${NAME}"
- config_foreach socat_instance socat
+ config_load "$NAME"
+ config_foreach validate_section_socat socat socat_instance
+}
+
+service_triggers() {
+ procd_add_reload_trigger "$NAME"
+ procd_add_validation validate_section_socat
}